Bug 1809684 - Review Request: git-repair - Repairs a damaged git repository
Summary: Review Request: git-repair - Repairs a damaged git repository
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-03 16:49 UTC by Jens Petersen
Modified: 2020-04-25 02:16 UTC (History)
2 users (show)

Fixed In Version: git-repair-1.20200102-1.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-11 22:21:04 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jens Petersen 2020-03-03 16:49:30 UTC
Spec URL: https://petersen.fedorapeople.org/reviews/git-repair/git-repair.spec
SRPM URL: https://petersen.fedorapeople.org/reviews/git-repair/git-repair-1.20200102-1.fc32.src.rpm

Description:
Git-repair can repair various forms of damage to git repositories.

It is a complement to git fsck, which finds problems, but does not fix them.

As well as avoiding the need to rm -rf a damaged repository and re-clone, using
git-repair can help rescue commits you've made to the damaged repository and
not yet pushed out.


Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=42150522

Comment 1 Robert-André Mauchin 🐧 2020-03-22 20:16:58 UTC
 - 2 typos in summary: 

Summary:        Repairs a damaged git repository

Package approved. Please fix the typos before import.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GNU Affero General Public License, Version 3", "Unknown or
     generated". 48 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/git-repair/review-git-
     repair/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: git-repair-1.20200102-1.fc33.x86_64.rpm
          git-repair-1.20200102-1.fc33.src.rpm
git-repair.x86_64: W: spelling-error Summary(en_US) damanged -> damaged, manged, danged
git-repair.x86_64: W: spelling-error Summary(en_US) repisitory -> repository, depository
git-repair.x86_64: W: spelling-error %description -l en_US fsck -> sick
git-repair.x86_64: W: spelling-error %description -l en_US rf -> RF, fr, Rf
git-repair.x86_64: W: no-manual-page-for-binary git-repair
git-repair.src: W: spelling-error Summary(en_US) damanged -> damaged, manged, danged
git-repair.src: W: spelling-error Summary(en_US) repisitory -> repository, depository
git-repair.src: W: spelling-error %description -l en_US fsck -> sick
git-repair.src: W: spelling-error %description -l en_US rf -> RF, fr, Rf
2 packages and 0 specfiles checked; 0 errors, 9 warnings.

Comment 2 Jens Petersen 2020-03-26 05:46:54 UTC
Thank you for the review

https://pagure.io/releng/fedora-scm-requests/issue/23672

Comment 3 Jens Petersen 2020-03-26 05:57:24 UTC
(In reply to Robert-André Mauchin from comment #1)
>  - 2 typos in summary: 
> 
> Summary:        Repairs a damaged git repository
> 
> Package approved. Please fix the typos before import.

Sure, thanks,Robert-André: will do

Comment 4 Gwyn Ciesla 2020-03-26 13:46:23 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/git-repair

Comment 5 Fedora Update System 2020-04-02 04:18:41 UTC
FEDORA-2020-e4630b6d8e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e4630b6d8e

Comment 6 Fedora Update System 2020-04-02 06:29:02 UTC
FEDORA-2020-d853e0271e has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d853e0271e

Comment 7 Fedora Update System 2020-04-03 19:55:55 UTC
FEDORA-2020-e4630b6d8e has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-e4630b6d8e \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-e4630b6d8e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-04-03 20:49:29 UTC
FEDORA-2020-d853e0271e has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-d853e0271e \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d853e0271e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-04-11 22:21:04 UTC
FEDORA-2020-d853e0271e has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2020-04-25 02:16:26 UTC
FEDORA-2020-e4630b6d8e has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.